Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class HistoryEventDataStruct

    java.lang.Object
      com.fujitsu.iflow.common.HistoryEventDataStruct

All Implemented Interfaces:
  java.io.Serializable

public class HistoryEventDataStruct
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`HistoryEventDataStruct()` Default constructor.
`HistoryEventDataStruct(NameValueStruct[] prevUdaList, NameValueStruct[] curUdaList, java.lang.String processErrorMessage)`
`HistoryEventDataStruct(TrackedUDARecord[] trackedUDAs, java.lang.String processErrorMessage)` Constructor

Method Summary
`static HistoryEventDataStruct` | `convertFromByteArray(byte[] byteArray)`
`static HistoryEventDataStruct` | `convertFromDomXML(org.w3c.dom.Element root)`
`static HistoryEventDataStruct` | `convertFromXML(java.lang.String xmlString)`
`static byte[]` | `convertObjectToByteArray(java.lang.Object obj)`
`static byte[]` | `convertToByteArray(HistoryEventDataStruct eventDataStruct)`
`static org.w3c.dom.Element` | `convertToDom(org.w3c.dom.Document doc, HistoryEventDataStruct eventDataStruct)`
`static java.lang.String` | `convertToXML(HistoryEventDataStruct eventDataStruct)`
`static int[]` | `getAdjustedFields(int[] processHistoryFields)`
`java.lang.String` | `getProcessErrorMessage()`
`TrackedUDARecord[]` | `getTrackedUDARecord()`
`void` | `setProcessErrorMessage(java.lang.String errMsg)` Sets the Process Error Message
`void` | `setTrackedUDARecord(TrackedUDARecord[] tUdaRec)` Sets the TrackedUDARecord[]

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryEventDataStruct

    public HistoryEventDataStruct()

  Default constructor.

### HistoryEventDataStruct

    public HistoryEventDataStruct(TrackedUDARecord[] trackedUDAs,
                                  java.lang.String processErrorMessage)

  Constructor

Parameters:
  `trackedUDAs` - TrackedUDARecord[].
  `processErrorMessage` - Process Error Message.

### HistoryEventDataStruct

    public HistoryEventDataStruct(NameValueStruct[] prevUdaList,
                                  NameValueStruct[] curUdaList,
                                  java.lang.String processErrorMessage)
                           throws java.lang.Exception

Method Detail

### setTrackedUDARecord

    public void setTrackedUDARecord(TrackedUDARecord[] tUdaRec)

  Sets the TrackedUDARecord[]

  Parameters:
    `tUdaRec` - TrackedUDARecord[]

### setProcessErrorMessage

    public void setProcessErrorMessage(java.lang.String errMsg)

  Sets the Process Error Message

  Parameters:
    `errMsg` - Process Error Message

### getTrackedUDARecord

    public TrackedUDARecord[] getTrackedUDARecord()

  Returns:
    TrackedUDARecord[]

### getProcessErrorMessage

    public java.lang.String getProcessErrorMessage()

  Returns:

### convertToXML

    public static java.lang.String convertToXML(HistoryEventDataStruct eventDataStruct)
                                         throws java.lang.Exception

  Returns:
  Throws:
    `java.lang.Exception`

### convertToDom

    public static org.w3c.dom.Element convertToDom(org.w3c.dom.Document doc,
                                                   HistoryEventDataStruct eventDataStruct)
                                            throws PrivateDataException

  Parameters:
    `doc` -
    `eventDataStruct` -
  Returns:
  Throws:
    `PrivateDataException`

### convertFromXML

    public static HistoryEventDataStruct convertFromXML(java.lang.String xmlString)
                                                 throws java.lang.Exception

  Parameters:
    `xmlString` -
  Returns:
  Throws:
    `java.lang.Exception`

### convertFromDomXML

    public static HistoryEventDataStruct convertFromDomXML(org.w3c.dom.Element root)
                                                    throws java.lang.Exception

  Parameters:
    `root` -
  Returns:
  Throws:
    `java.lang.Exception`

### convertToByteArray

    public static byte[] convertToByteArray(HistoryEventDataStruct eventDataStruct)
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### convertObjectToByteArray

    public static byte[] convertObjectToByteArray(java.lang.Object obj)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### convertFromByteArray

    public static HistoryEventDataStruct convertFromByteArray(byte[] byteArray)
                                                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getAdjustedFields

    public static int[] getAdjustedFields(int[] processHistoryFields)
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD